RecapController_generate
POST
/api/ai/streams/{streamId}/recap
const url = 'https://api.streams.chat/api/ai/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/recap';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"threadSessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/ai/streams/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/recap \ --header 'Content-Type: application/json' \ --data '{ "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
threadSessionId
string format: uuid
Examplegenerated
{ "threadSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}